<?php 
session_start();
include_once '../../conexao/index.php';
error_reporting(E_ALL);
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/


$valor = $_POST['valor'];
$status = "Aberto";

$sql = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '$userID'";
$rs = mysqli_query($db, $sql);
if (mysqli_num_rows($rs) > 0) {
	echo "<p class='mt-2'>O caixa ja se encontra aberto!</p>";
}else{
	$sql = "INSERT INTO periodo(diaperiodo, aberturaperiodo, fechoperiodo, usuario, dataaberturaperiodo, datafechoperiodo) 
	VALUES('$status', '$valor', '$valor', '$userID', '$data_hora', '$data_hora')";
	$rs = mysqli_query($db, $sql);
	if ($rs > 0) {
		echo "<p class='mt-2' style='color: gree;'>Caixa aberto com sucesso</p>";
	}else{
		echo "<p class='mt-2' style='color: red;'>Ocorreu um erro ao abrir o caixa!</p>";
	}	

}